
# 牛企查-企业信息查询MCP服务器

## 概述
牛企查-企业信息查询MCP服务器是一款基于模型上下文协议（MCP）构建的一站式企业多维信息查询与分析平台，专注于整合工商、司法、知识产权、风险监控等权威数据源，覆盖全国超3亿市场主体。其核心功能包括：
- 多维数据覆盖：集成国家企业信用信息公示系统、裁判文书网等官方数据，提供企业注册信息、股东结构、司法诉讼、行政处罚等360度画像，支持上下游企业关系图谱分析；
- 智能交互服务：通过标准化API/SDK快速接入，结合MCP协议实现自然语言查询与动态数据更新，满足金融风控、商业尽调等场景的实时需求；  
- 该平台以高性价比和免费基础服务为特色，为企业用户及开发者提供轻量级集成方案，助力数字化转型中的合规管理与商业决策。

### 开始
- 使用牛企查MCP服务器主要通过Python接入。

### 获取 client_id client_key
- 在这之前，您需到[白牛开放平台官网](http://api.bainiudata.com/ )注册账号，通过client_id client_key您才能够调用牛企查MCP服务器能力。

### python接入
- 如果您希望自定义牛企查MCP服务器的能力，可以通过源码接入，方式参见Python接入文档。
- 同时我们通过pypi发布了牛企查MCP服务器：mcp-server-nqc，您可以使用任何Python包管理工具轻松获取并配置使用。

#### 安装

##### 使用uv（推荐）
使用[`uv`](https://docs.astral.sh/uv/)时不需要特殊安装，我们将使用[`uvx`](https://docs.astral.sh/uv/guides/tools/)直接运行*mcp-server-nqc*

##### 使用pip
或者你可以通过pip来安装*mcp-server-nqc*
```bash
pip install mcp-server-nqc
```

安装后，我们可以使用以下命令将其作为脚本运行：
```bash
python -m mcp_server_nqc
```

### 可适配平台
cursor，方舟，cherry studio

## 启动方式
- sse模式: python API.py --transport sse --port 8009
- stdio模式: Client端 直接调用，无需启动


## 使用示例
1. 北京过去一年注销了多少家企业？
2. 重庆昨天有多少新成立的企业?
3. 小米科技有没有受过处罚？
4. 小米科技获得过什么荣誉？
5. 小米科技的联系方式？
6. 小米科技的对外投资信息？
7. 上海市2023年新增上市公司家数？
8. 北京市2024年获得软件企业认定的数量？
9. 华为技术有限公司的客服电话是多少？
10. 小米科技的实际控制人是谁？

